.skills-container {
  text-align: center;
  padding: 100px;
}

.section-title {
  font-size: 24px;
  font-weight: bold;
  margin-bottom: 40px;
}

.skills-category {
  margin-bottom: 70px;
}

.skills-subtitle {
  font-size: 20px;
  font-weight: 600;
  margin-bottom: 30px;
}

.skills-icons {
  display: flex;
  justify-content: center;
  gap: 20px;
  flex-wrap: wrap;
}

.skill-icon {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 60px;
  cursor: pointer;
  transition: transform 0.3s ease;
}

/* Initial hidden state */
.skill-icon {
    opacity: 0;
    transform: translateY(20px); 
    transition: opacity 0.5s ease, transform 0.5s ease; 
}


.is-visible {
    opacity: 1;
    transform: translateY(0); 
}

.skill-icon img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  transition: opacity 0.3s ease, transform 0.3s ease;
}

.skill-icon:hover {
  transform: scale(1.2);
}

.skill-icon:hover img {
  opacity: 0.5;
}

.skill-icon::after {
  content: attr(data-skill); /* Tooltip content comes from the data-skill attribute */
  position: absolute;
  bottom: -30px;
  left: 50%;
  transform: translateX(-50%);
  background-color: rgba(0, 0, 0, 0.8);
  color: white;
  font-size: 14px;
  padding: 5px;
  border-radius: 5px;
  opacity: 0;
  transition: opacity 0.3s ease;
  white-space: nowrap;
}

.skill-icon:hover::after {
  opacity: 1;
}

/* Animation for icon appearance */
.skill-icon img {
  animation: fadeIn 0.6s ease-in-out;
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(20px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
